> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Submission Accounts

> Retrieves the list of submission accounts for the given portal.



## OpenAPI

````yaml /apis/portal/openapi.json get /api/v2/{portalId}/submission/accounts
openapi: 3.0.2
info:
  title: Magna Portal API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Auth
    description: Authentication related endpoints
  - name: Token
    description: Token claiming
  - name: Config
    description: Portal configuration
  - name: Misc
    description: Miscellaneous operational endpoints
  - name: Staking
    description: Staking pool operations
  - name: Compliance
    description: Wallet compliance operations
paths:
  /api/v2/{portalId}/submission/accounts:
    get:
      tags:
        - Submission
        - Accounts
      summary: Submission Accounts
      description: Retrieves the list of submission accounts for the given portal.
      parameters:
        - name: portalId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: unique portal id (provided by Magna)
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  claimWallet:
                    type: string
                    nullable: true
                    description: the wallet address used for claiming
                  submitted:
                    type: boolean
                    description: whether the submission was confirmed
                  pohPassed:
                    type: boolean
                    nullable: true
                    description: whether the proof of humanity check was passed
                  accounts:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          description: eligible account value
                        type:
                          type: string
                          enum:
                            - EMAIL
                            - X_HANDLE
                            - WALLET
                            - DISCORD
                          description: eligible account type
                        isEligible:
                          type: boolean
                          description: whether the account is eligible
                        description:
                          type: string
                          nullable: true
                          description: optional description for the account eligibility
                      required:
                        - value
                        - type
                        - isEligible
                        - description
                    description: list of eligible account values
                required:
                  - claimWallet
                  - submitted
                  - pohPassed
                  - accounts
                description: Ok
                title: Accounts Response
                example:
                  claimWallet: null
                  submitted: true
                  pohPassed: true
                  accounts:
                    - value: 0x1234...abcd
                      type: WALLET
                      isEligible: true
                      description: This wallet is eligible for the airdrop
                    - value: 0x5678...abcd
                      type: WALLET
                      isEligible: false
                      description: null
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            message:
                              type: string
                          required:
                            - path
                            - message
                    required:
                      - errors
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - type: string
                            enum:
                              - DISTRIBUTION_NOT_FOUND
                              - HUMANITY_CHECK_INCOMPLETE
                              - DISTRIBUTION_NOT_STARTED
                              - STAKING_POOL_NOT_FOUND
                              - STAKE_NOT_FOUND
                          - type: string
                    required:
                      - error
                description: Client Error
                example:
                  errors:
                    - path: query.wallet
                      message: Required
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: error message
                required:
                  - error
                description: Server Error
                example:
                  error: internal server error

````